Showing results 1 to 9 of 9

Thread: Still "Invalid device" with Sptd driver 1.35

  1. #1
    New User
    Join Date
    02.11.2006
    Posts
    1

    Default Still "Invalid device" with Sptd driver 1.35

    I downloaded DAEMON Tools 4.0.6 X86 and installed it, and it shows
    "Invalid Device" after I launch DT4.0.6 .

    There is still a "SCSI/RAID HOST Controller" error in the device manager.

    After times of searching the forum for the solution, I decided to wait for the new version of Sptd-driver.

    Today, I happily received the news that the Sptd-driver 1.35 was released, so I downloaded it, preparing to try it.

    Because I've removed my DT4.0.6 and the previous SPTD1.29 (very clearly, including deleting files and registry manually), I installed DT4.0.6 again.

    It jumped out a alert which says "Invalid device" as usual after I launched DT4.0.6. .

    Then I launched "SPTDinst-v135-x86.exe", and it says the previous version SPTD was detected,
    from this step on, the following two methods are both unavailable to solve this problem.

    1.Select "Update"
    2.Select "Uninstall" first, and after the computer reboots, launch "SPTDinst-v135-x86.exe" and select "install".

    Can you help me?
    This problem has bothered me a lot and a lot.

  2. #2
    Administrator



    Join Date
    06.11.2002
    Posts
    2,044

    Default

    SPTD has nothing to do with "Invalid device" problem.
    You need wait new version of DT coming soon.

  3. #3
    New User
    Join Date
    04.04.2005
    Posts
    14

    Default

    Same problem for me too No workarounds? Is this fix/new release in the near future?

    Best regards
    Niklas

  4. #4

    Default

    yes, new version is around the corner

  5. #5

    Default Invalid Device

    I have the same problem as well, also with Alcohol. The alcohol team have fixed it with a beta version that I have installed, so hopefully the next daemon release will do the same.

  6. #6
    New User
    Join Date
    11.11.2006
    Posts
    4

    Default New version or keep waiting?

    Quote Originally Posted by LocutusofBorg
    yes, new version is around the corner
    I am having the same problems as posted above, I have downloaded 4.0.6 x86 as of the date 11/11/06. My question to you is, is this new version your talking about or should I still be waiting? Thanks for your time.

  7. #7

    Default

    Quote Originally Posted by VeNoM386
    SPTD has nothing to do with "Invalid device" problem.
    You need wait new version of DT coming soon.
    this is not correct
    i installed alcohol 52% and get the same error message invalid device.
    i think the SPTD has a problem.

    damn! who can help?

    http://members.chello.at/klausr/device.zip


    regards Max
    Last edited by Max_imum : 15.11.2006 at 08:52

  8. #8

    Default

    it is possible to use for daemon tools another virtual CD-ROM drive as Sptd driver 1.35 ???

    thx
    regards Max

  9. #9

    Default new version (4.0.8) now function :-)

    Thx !

    new version (4.0.8) now function :-)

Bookmarks

Posting Rules

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •